Bug 1014054 - perl-Net-Patricia license tag is broken.
Summary: perl-Net-Patricia license tag is broken.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Patricia (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Philip Prindeville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-10-01 10:37 UTC by mejiko
Modified: 2014-07-26 02:36 UTC (History)
3 users (show)

Fixed In Version: perl-Net-Patricia-1.22-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 06:00:02 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2013-10-01 10:37:23 UTC
Hello.

SRC rpm is : perl-Net-Patricia-1.20-2.fc19.src.rpm

perl-Net-Patricia license tag is broken. (not vaild license tag)

See: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#.22Distributable.22


I see copyright notice text.

copyring notice file list:

A) Net-Patricia-1.20/COPYING
B) Net-Patricia-1.20/libpatricia/copyright

I think that "A" is GPLv2, "B" is 4-cause BSD License.
4-cause BSD License is GPL incompatible. (Adversing cause)

I think that this is license problem and non-free.

Note: GPL and 4-cause BSD License is free, fedora acceptable licenses.


Suggests:

1. resolve license problem (if this is license problematic) and fixing license tag.

2. Remove fedora repos.

3. contact upstream author.


Thanks.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

Comment 1 mejiko 2013-10-01 10:38:18 UTC
Blocking FE-Legal, I think that this is license problem.

Comment 2 mejiko 2014-03-15 10:08:25 UTC
Changed to rawhide.

How it this bug current status ? 
Is this bug is resolved ?

Thanks.

Comment 3 Philip Prindeville 2014-03-16 17:10:08 UTC
Working on a fix, as per the Licensing Guidelines.

Will mark the Perl parts "GPLv2+" and the libpatricia part "BSD with advertising".

Comment 4 Fedora Update System 2014-07-09 21:53:00 UTC
perl-Net-Patricia-1.22-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Net-Patricia-1.22-4.fc20

Comment 5 Fedora Update System 2014-07-09 23:13:51 UTC
perl-Net-Patricia-1.22-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-Patricia-1.22-4.el6

Comment 6 Fedora Update System 2014-07-11 02:03:33 UTC
Package perl-Net-Patricia-1.22-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Net-Patricia-1.22-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8243/perl-Net-Patricia-1.22-4.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-07-19 06:00:02 UTC
perl-Net-Patricia-1.22-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-07-26 02:36:40 UTC
perl-Net-Patricia-1.22-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.